Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network98.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
98.0.0.0
Broadcast address
99.255.255.255
First usable
98.0.0.1
Last usable
99.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 62000000 · Integer 1644167168 to 1677721599
Reverse DNS zones
98.in-addr.arpa
99.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100010.00000000.00000000.0000000098.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01100010.00000000.00000000.0000000098.0.0.0
Broadcast01100011.11111111.11111111.1111111199.255.255.255
Split into smaller subnets/14

98.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
198.0.0.0/1498.0.0.1 to 98.3.255.25498.3.255.255262,142
298.4.0.0/1498.4.0.1 to 98.7.255.25498.7.255.255262,142
398.8.0.0/1498.8.0.1 to 98.11.255.25498.11.255.255262,142
498.12.0.0/1498.12.0.1 to 98.15.255.25498.15.255.255262,142
598.16.0.0/1498.16.0.1 to 98.19.255.25498.19.255.255262,142
698.20.0.0/1498.20.0.1 to 98.23.255.25498.23.255.255262,142
798.24.0.0/1498.24.0.1 to 98.27.255.25498.27.255.255262,142
898.28.0.0/1498.28.0.1 to 98.31.255.25498.31.255.255262,142
998.32.0.0/1498.32.0.1 to 98.35.255.25498.35.255.255262,142
1098.36.0.0/1498.36.0.1 to 98.39.255.25498.39.255.255262,142
1198.40.0.0/1498.40.0.1 to 98.43.255.25498.43.255.255262,142
1298.44.0.0/1498.44.0.1 to 98.47.255.25498.47.255.255262,142
1398.48.0.0/1498.48.0.1 to 98.51.255.25498.51.255.255262,142
1498.52.0.0/1498.52.0.1 to 98.55.255.25498.55.255.255262,142
1598.56.0.0/1498.56.0.1 to 98.59.255.25498.59.255.255262,142
1698.60.0.0/1498.60.0.1 to 98.63.255.25498.63.255.255262,142
1798.64.0.0/1498.64.0.1 to 98.67.255.25498.67.255.255262,142
1898.68.0.0/1498.68.0.1 to 98.71.255.25498.71.255.255262,142
1998.72.0.0/1498.72.0.1 to 98.75.255.25498.75.255.255262,142
2098.76.0.0/1498.76.0.1 to 98.79.255.25498.79.255.255262,142
2198.80.0.0/1498.80.0.1 to 98.83.255.25498.83.255.255262,142
2298.84.0.0/1498.84.0.1 to 98.87.255.25498.87.255.255262,142
2398.88.0.0/1498.88.0.1 to 98.91.255.25498.91.255.255262,142
2498.92.0.0/1498.92.0.1 to 98.95.255.25498.95.255.255262,142
2598.96.0.0/1498.96.0.1 to 98.99.255.25498.99.255.255262,142
2698.100.0.0/1498.100.0.1 to 98.103.255.25498.103.255.255262,142
2798.104.0.0/1498.104.0.1 to 98.107.255.25498.107.255.255262,142
2898.108.0.0/1498.108.0.1 to 98.111.255.25498.111.255.255262,142
2998.112.0.0/1498.112.0.1 to 98.115.255.25498.115.255.255262,142
3098.116.0.0/1498.116.0.1 to 98.119.255.25498.119.255.255262,142
3198.120.0.0/1498.120.0.1 to 98.123.255.25498.123.255.255262,142
3298.124.0.0/1498.124.0.1 to 98.127.255.25498.127.255.255262,142
3398.128.0.0/1498.128.0.1 to 98.131.255.25498.131.255.255262,142
3498.132.0.0/1498.132.0.1 to 98.135.255.25498.135.255.255262,142
3598.136.0.0/1498.136.0.1 to 98.139.255.25498.139.255.255262,142
3698.140.0.0/1498.140.0.1 to 98.143.255.25498.143.255.255262,142
3798.144.0.0/1498.144.0.1 to 98.147.255.25498.147.255.255262,142
3898.148.0.0/1498.148.0.1 to 98.151.255.25498.151.255.255262,142
3998.152.0.0/1498.152.0.1 to 98.155.255.25498.155.255.255262,142
4098.156.0.0/1498.156.0.1 to 98.159.255.25498.159.255.255262,142
4198.160.0.0/1498.160.0.1 to 98.163.255.25498.163.255.255262,142
4298.164.0.0/1498.164.0.1 to 98.167.255.25498.167.255.255262,142
4398.168.0.0/1498.168.0.1 to 98.171.255.25498.171.255.255262,142
4498.172.0.0/1498.172.0.1 to 98.175.255.25498.175.255.255262,142
4598.176.0.0/1498.176.0.1 to 98.179.255.25498.179.255.255262,142
4698.180.0.0/1498.180.0.1 to 98.183.255.25498.183.255.255262,142
4798.184.0.0/1498.184.0.1 to 98.187.255.25498.187.255.255262,142
4898.188.0.0/1498.188.0.1 to 98.191.255.25498.191.255.255262,142
4998.192.0.0/1498.192.0.1 to 98.195.255.25498.195.255.255262,142
5098.196.0.0/1498.196.0.1 to 98.199.255.25498.199.255.255262,142
5198.200.0.0/1498.200.0.1 to 98.203.255.25498.203.255.255262,142
5298.204.0.0/1498.204.0.1 to 98.207.255.25498.207.255.255262,142
5398.208.0.0/1498.208.0.1 to 98.211.255.25498.211.255.255262,142
5498.212.0.0/1498.212.0.1 to 98.215.255.25498.215.255.255262,142
5598.216.0.0/1498.216.0.1 to 98.219.255.25498.219.255.255262,142
5698.220.0.0/1498.220.0.1 to 98.223.255.25498.223.255.255262,142
5798.224.0.0/1498.224.0.1 to 98.227.255.25498.227.255.255262,142
5898.228.0.0/1498.228.0.1 to 98.231.255.25498.231.255.255262,142
5998.232.0.0/1498.232.0.1 to 98.235.255.25498.235.255.255262,142
6098.236.0.0/1498.236.0.1 to 98.239.255.25498.239.255.255262,142
6198.240.0.0/1498.240.0.1 to 98.243.255.25498.243.255.255262,142
6298.244.0.0/1498.244.0.1 to 98.247.255.25498.247.255.255262,142
6398.248.0.0/1498.248.0.1 to 98.251.255.25498.251.255.255262,142
6498.252.0.0/1498.252.0.1 to 98.255.255.25498.255.255.255262,142
6599.0.0.0/1499.0.0.1 to 99.3.255.25499.3.255.255262,142
6699.4.0.0/1499.4.0.1 to 99.7.255.25499.7.255.255262,142
6799.8.0.0/1499.8.0.1 to 99.11.255.25499.11.255.255262,142
6899.12.0.0/1499.12.0.1 to 99.15.255.25499.15.255.255262,142
6999.16.0.0/1499.16.0.1 to 99.19.255.25499.19.255.255262,142
7099.20.0.0/1499.20.0.1 to 99.23.255.25499.23.255.255262,142
7199.24.0.0/1499.24.0.1 to 99.27.255.25499.27.255.255262,142
7299.28.0.0/1499.28.0.1 to 99.31.255.25499.31.255.255262,142
7399.32.0.0/1499.32.0.1 to 99.35.255.25499.35.255.255262,142
7499.36.0.0/1499.36.0.1 to 99.39.255.25499.39.255.255262,142
7599.40.0.0/1499.40.0.1 to 99.43.255.25499.43.255.255262,142
7699.44.0.0/1499.44.0.1 to 99.47.255.25499.47.255.255262,142
7799.48.0.0/1499.48.0.1 to 99.51.255.25499.51.255.255262,142
7899.52.0.0/1499.52.0.1 to 99.55.255.25499.55.255.255262,142
7999.56.0.0/1499.56.0.1 to 99.59.255.25499.59.255.255262,142
8099.60.0.0/1499.60.0.1 to 99.63.255.25499.63.255.255262,142
8199.64.0.0/1499.64.0.1 to 99.67.255.25499.67.255.255262,142
8299.68.0.0/1499.68.0.1 to 99.71.255.25499.71.255.255262,142
8399.72.0.0/1499.72.0.1 to 99.75.255.25499.75.255.255262,142
8499.76.0.0/1499.76.0.1 to 99.79.255.25499.79.255.255262,142
8599.80.0.0/1499.80.0.1 to 99.83.255.25499.83.255.255262,142
8699.84.0.0/1499.84.0.1 to 99.87.255.25499.87.255.255262,142
8799.88.0.0/1499.88.0.1 to 99.91.255.25499.91.255.255262,142
8899.92.0.0/1499.92.0.1 to 99.95.255.25499.95.255.255262,142
8999.96.0.0/1499.96.0.1 to 99.99.255.25499.99.255.255262,142
9099.100.0.0/1499.100.0.1 to 99.103.255.25499.103.255.255262,142
9199.104.0.0/1499.104.0.1 to 99.107.255.25499.107.255.255262,142
9299.108.0.0/1499.108.0.1 to 99.111.255.25499.111.255.255262,142
9399.112.0.0/1499.112.0.1 to 99.115.255.25499.115.255.255262,142
9499.116.0.0/1499.116.0.1 to 99.119.255.25499.119.255.255262,142
9599.120.0.0/1499.120.0.1 to 99.123.255.25499.123.255.255262,142
9699.124.0.0/1499.124.0.1 to 99.127.255.25499.127.255.255262,142
9799.128.0.0/1499.128.0.1 to 99.131.255.25499.131.255.255262,142
9899.132.0.0/1499.132.0.1 to 99.135.255.25499.135.255.255262,142
9999.136.0.0/1499.136.0.1 to 99.139.255.25499.139.255.255262,142
10099.140.0.0/1499.140.0.1 to 99.143.255.25499.143.255.255262,142
10199.144.0.0/1499.144.0.1 to 99.147.255.25499.147.255.255262,142
10299.148.0.0/1499.148.0.1 to 99.151.255.25499.151.255.255262,142
10399.152.0.0/1499.152.0.1 to 99.155.255.25499.155.255.255262,142
10499.156.0.0/1499.156.0.1 to 99.159.255.25499.159.255.255262,142
10599.160.0.0/1499.160.0.1 to 99.163.255.25499.163.255.255262,142
10699.164.0.0/1499.164.0.1 to 99.167.255.25499.167.255.255262,142
10799.168.0.0/1499.168.0.1 to 99.171.255.25499.171.255.255262,142
10899.172.0.0/1499.172.0.1 to 99.175.255.25499.175.255.255262,142
10999.176.0.0/1499.176.0.1 to 99.179.255.25499.179.255.255262,142
11099.180.0.0/1499.180.0.1 to 99.183.255.25499.183.255.255262,142
11199.184.0.0/1499.184.0.1 to 99.187.255.25499.187.255.255262,142
11299.188.0.0/1499.188.0.1 to 99.191.255.25499.191.255.255262,142
11399.192.0.0/1499.192.0.1 to 99.195.255.25499.195.255.255262,142
11499.196.0.0/1499.196.0.1 to 99.199.255.25499.199.255.255262,142
11599.200.0.0/1499.200.0.1 to 99.203.255.25499.203.255.255262,142
11699.204.0.0/1499.204.0.1 to 99.207.255.25499.207.255.255262,142
11799.208.0.0/1499.208.0.1 to 99.211.255.25499.211.255.255262,142
11899.212.0.0/1499.212.0.1 to 99.215.255.25499.215.255.255262,142
11999.216.0.0/1499.216.0.1 to 99.219.255.25499.219.255.255262,142
12099.220.0.0/1499.220.0.1 to 99.223.255.25499.223.255.255262,142
12199.224.0.0/1499.224.0.1 to 99.227.255.25499.227.255.255262,142
12299.228.0.0/1499.228.0.1 to 99.231.255.25499.231.255.255262,142
12399.232.0.0/1499.232.0.1 to 99.235.255.25499.235.255.255262,142
12499.236.0.0/1499.236.0.1 to 99.239.255.25499.239.255.255262,142
12599.240.0.0/1499.240.0.1 to 99.243.255.25499.243.255.255262,142
12699.244.0.0/1499.244.0.1 to 99.247.255.25499.247.255.255262,142
12799.248.0.0/1499.248.0.1 to 99.251.255.25499.251.255.255262,142
12899.252.0.0/1499.252.0.1 to 99.255.255.25499.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses